> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# LLM Query

> Ask a question that interests you. This API is password protected.

Set verbose = true to retrieve AQL and AQL results.

Example: query = Tell me about the gene SAMD11.



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json post /llm-query
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /llm-query:
    post:
      summary: LLM Query
      description: |-
        Ask a question that interests you. This API is password protected.

        Set verbose = true to retrieve AQL and AQL results.

        Example: query = Tell me about the gene SAMD11.
      operationId: llmQuery
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                query:
                  type: string
                  maxLength: 5000
                password:
                  type: string
                verbose:
                  type: string
                  enum:
                    - 'true'
                    - 'false'
                  default: 'false'
              required:
                - query
                - password
              additionalProperties: false
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  query:
                    type: string
                  aql:
                    type: string
                    maxLength: 5000
                  aql_result:
                    type: array
                    maxItems: 5
                  answer:
                    type: string
                required:
                  - query
                  - answer
                additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````